{
  imports = [
    ./hardware-configuration.nix
  ];

  modules = {
    services.tailscale = {
      enable = true;
      tags = [
        "server"
        "backup"
      ];
      extraFlags = [ "--accept-dns=false" ]; # Want to disable that since *server* can't access the private dns... for now
    };
    server = {
      rsync-daemon = {
        enable = true;
        port = 9523;
        openFirewall = true;
        location = "/mnt/backups";
        address = "100.64.0.6";
        modules = [
          {
            name = "paperless-backup";
            comment = "backups for paperless";
            mode = "write";
          }
          {
            name = "immich-backup";
            comment = "backups for immich";
            mode = "write";
          }
          {
            name = "brontes-backup";
            comment = "brontes's backup space";
            mode = "write";
          }
          {
            name = "music-backup";
            comment = "backup location for music files";
            mode = "write";
          }
          {
            name = "shows-backup";
            comment = "backup location for tv shows";
            mode = "write";
          }
          {
            name = "movies";
            comment = "backup location for movies shows";
            mode = "write";
          }
        ];
      };
    };
  };

  boot.initrd.systemd.tpm2.enable = false;

  system.stateVersion = "24.11";
}
